Subject: Re: bug#71469: font-lock does not apply standard faces and their descendants

From: Robert Pluim <[email-masked]>
Date: Wed, 09 Oct 2024 10:43:38 +0200

>>>>> On Tue, 08 Oct 2024 16:25:32 +0300, Konstantin Kharlamov <[email-masked]> said:
    >> 
    >> "use value 'font-lock-comment-face directly instead"

    Konstantin> Maybe "pass font-lock-comment-face as a symbol instead"? To understand
    Konstantin> what "directly" means one would have to notice the lone singular quote,
    Konstantin> which I didn't when I read the suggestion, so I imagine I'd feel
    Konstantin> confused had I not know what the warning is about.

Then the question becomes "how do I pass font-lock-comment-face as a
symbol", to which the answer is 'font-lock-comment-face, which is in
my suggestion :-)

How about "use quoted value 'font-lock-comment-face directly instead"?

Robert
--